%global pypi_name pyspiflash

Name:           python-%{pypi_name}
Version:        0.5.2
Release:        1%{?dist}
Summary:        Python SPI data flash device drivers

License:        MIT
URL:            https://github.com/eblot/pyspiflash
Source0:        https://github.com/eblot/pyspiflash/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
SPI flash devices, also known as DataFlash are commonly found in embedded
products, to store firmware, microcode or configuration parameters.

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
#BuildRequires:  python3-pyftdi
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
SPI flash devices, also known as DataFlash are commonly found in embedded
products, to store firmware, microcode or configuration parameters.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

# Not running tests as they try to create a device
#%check
#PYTHONPATH=%{buildroot}/%{python3_sitelib} %{__python3} i2cflash/tests/serialeeprom.py

%files -n python3-%{pypi_name}
%doc spiflash/README.rst spiflash/AUTHORS
%license spiflash/LICENSE
%{python3_sitelib}/spiflash/
%{python3_sitelib}/%{pypi_name}*.egg-info

%changelog
* Wed Jul 24 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.2-1
- Initial package for Fedora
